1. Bitcoin Lightning Network
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
        GET
      • Create BLN Order
        POST
      • Create BLN Withdraw
        POST
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Support Real Currency List
      • Get Support Crypto Currency List
      • Get Orders
      • Get Orders Details
      • Get Transaction
      • Get Orders Refund Info
      • Orders Refund
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Bitcoin Lightning Network

Create BLN Withdraw

POST
/api/bln/withdraw

POST /api/bln/withdraw#

This endpoint is used to initiate a withdrawal for a specified amount.

Request#

Method: POST
Endpoint: {{Host}}/api/bln/withdraw
Body:
ln_invoices (string, required): The Lightning Network invoices request for the withdrawal.
amount (string, optional): The amount of money to be withdrawn, which does not need to be added if the invoice request has an amount.

Response#

The response is a JSON object with the following schema:
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    },
    "data": {
      "type": "object",
      "properties": {
        "user_id": {
          "type": "string"
        },
        "tx_id": {
          "type": "string"
        },
        "type": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "chain": {
          "type": "string"
        },
        "currency": {
          "type": "string"
        },
        "amount": {
          "type": "string"
        },
        "balance": {
          "type": "string"
        },
        "update_time": {
          "type": "string"
        }
      }
    },
    "result": {
      "type": "boolean"
    }
  }
}

Request

Authorization
Add parameter in header
Example:
X-Token: ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/bln/withdraw' \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": 0.00017293,
    "ln_invoices": "lnbc1pnzusnspp500cnjqhkc8vhzysu5flta5r3354mhw6fwra6n6dxlrcjwum99t0sdqqcqzzgxqyz5vqrzjqwnvuc0u4txn35cafc7w94gxvq5p3cu9dd95f7hlrh0fvs46wpvhd59tt67suv0w3vqqqqryqqqqthqqpysp5qg253wxrjmjzycrgm09vkkhyhzl75622drjf4z2neuw4ldags33s9qrsgqk0q86t9mmhxp9vhc9z4ra3p0crhs8g7rjsksccdxp7sk6fwcul75ze7xav2fcn58rzqvweqt4yfle3x4h2f58c8maffqkwrzed7qx7cp6ytnn0"
}'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "user_id": "mct-fae46f21d1b9",
        "tx_id": "9a2733ca-f523-4f9f-b20c-3135153f3cad",
        "type": "WITHDRAW",
        "status": "SUCCESS",
        "chain": "BLN",
        "currency": "BTC-LN",
        "amount": "0.00004321",
        "fee": "0",
        "balance": "0.00277925368",
        "update_time": "2024-04-28T08:00:00"
    },
    "result": true
}
Previous
Create BLN Order
Next
Get API-Key
Built with